%global commit 03229cacd4c504ffdcef817e180c0ce8724a64c7
%global shortcommit %(c=%{commit}; echo ${c:0:7})

Epoch:          1
Name:           eclipse-m2e-tycho
Version:        0.8.1
Release:        5%{?dist}
Summary:        M2E Tycho connector
License:        EPL-1.0
URL:            https://github.com/tesla/m2eclipse-tycho/
BuildArch:      noarch

Source0:        https://github.com/tesla/m2eclipse-tycho/archive/%{commit}/%{name}-%{version}-%{shortcommit}.tar.gz

BuildRequires:  maven-local
BuildRequires:  mvn(io.tesla.tycho:tycho-support:pom:)
BuildRequires:  osgi(org.eclipse.core.resources)
BuildRequires:  osgi(org.eclipse.core.runtime)
BuildRequires:  osgi(org.eclipse.debug.core)
BuildRequires:  osgi(org.eclipse.jdt.core)
BuildRequires:  osgi(org.eclipse.jdt.launching)
BuildRequires:  osgi(org.eclipse.m2e.core)
BuildRequires:  osgi(org.eclipse.m2e.jdt)
BuildRequires:  osgi(org.eclipse.m2e.maven.runtime)
BuildRequires:  osgi(org.eclipse.pde.core)

Enhances:       eclipse-m2e-core

%description
This package provides Tycho connector for Eclipse M2E.

%prep
%setup -q -n m2eclipse-tycho-%{commit}
find -name *.jar -delete

# Tests are skipped because of missing dependencies:
# osgi(org.eclipse.m2e.tests.common)
%pom_disable_module org.sonatype.tycho.m2e.tests

%build
%mvn_build -j

%install
%mvn_install

%files -f .mfiles
%license org.sonatype.tycho.m2e.feature/license.html

%changelog
* Thu Jan 31 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1:0.8.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Wed Aug 22 2018 Mat Booth <mat.booth@redhat.com> - 1:0.8.1-4
- Update license tag

* Thu Jul 12 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1:0.8.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1:0.8.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Sep 13 2017 Mat Booth <mat.booth@redhat.com> - 1:0.8.1-1
- Downgrade to 0.8.1 to avoid causing regression in PDE, rhbz#1489903

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.0-0.5.gitffb51e3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.0-0.4.gitffb51e3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.0-0.3.gitffb51e3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Mon Oct 19 2015 Mikolaj Izdebski <mizdebsk@redhat.com> - 0.9.0-0.2.gitffb51e3
- Add Enhances: eclipse-m2e-core

* Thu Oct 15 2015 Mat Booth <mat.booth@redhat.com> - 0.9.0-0.1.gitffb51e3
- Update to latest snapshot

* Mon Sep 14 2015 Roland Grunberg <rgrunber@redhat.com> - 0.7.0-0.5.git4ec9311
- Rebuild as an Eclipse p2 Droplet.

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.0-0.4.git4ec9311
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Thu Sep 11 2014 Mikolaj Izdebski <mizdebsk@redhat.com> - 0.7.0-0.3.git4ec9311
- Install with XMvn

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.0-0.2.git4ec9311
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Wed Feb 26 2014 Mikolaj Izdebski <mizdebsk@redhat.com> - 0.7.0-0.1.git4ec9311
- Initial packaging
